/*
 * @Description:5 * @Date: 2020-06-13 09:32:04
 * @Author: 吳星萍 iris@e-besthealth.com
 * @LastEditors: 吳星萍 iris@e-besthealth.com
 * @LastEditTime: 2020-06-19 11:16:29
 * @copyright: BEST HEALTH ELECTRONIC INC (c) 2019
 */
#include "common.h"
unsigned char temp;
volatile long adcdata;

void main()
{
	// 判斷是否為上電復位或者非正常情況下的復位
	// 如果是上電復位，執行上電復位初始化，反之執行WDT溢出初始化
	if (_to == 0 || _pdf ==0)
	{
		// System
		Drv_GPIOPowerOnInit();
		Drv_SysClockInit();
		SET_WDTTIME_125MS();
		Drv_RamInit();
		SET_LVR_1V9();


		// UART demo
		Drv_UART0_Init();
//		Drv_UART1_Init();
		// 1. TX string demo
		Drv_UART0WriteTxBuf("this is uart tx string demo\n", 0, 29);
		Drv_Uart0StartTx(29);
//		 Drv_UART1WriteTxBuf("this is uart tx string demo\n", 0, 29);
//		 Drv_Uart1StartTx(29);

		// 2. Tx hex demo
//		DrvUart0Format.TxBuf[0] = 'U';
//		DrvUart0Format.TxBuf[1] = 'A';
//		DrvUart0Format.TxBuf[2] = 'R';
//		DrvUart0Format.TxBuf[3] = 'T';
//		DrvUart0Format.TxBuf[4] = ' ';
//		DrvUart0Format.TxBuf[5] = 'D';
//		DrvUart0Format.TxBuf[6] = 'E';
//		DrvUart0Format.TxBuf[7] = 'M';
//		DrvUart0Format.TxBuf[8] = 'O';
//		Drv_Uart0StartTx(9);
//		DrvUart1Format.TxBuf[0] = 'U';
//		DrvUart1Format.TxBuf[1] = 'A';
//		DrvUart1Format.TxBuf[2] = 'R';
//		DrvUart1Format.TxBuf[3] = 'T';
//		DrvUart1Format.TxBuf[4] = ' ';
//		DrvUart1Format.TxBuf[5] = 'D';
//		DrvUart1Format.TxBuf[6] = 'E';
//		DrvUart1Format.TxBuf[7] = 'M';
//		DrvUart1Format.TxBuf[8] = 'O';
//		Drv_Uart1StartTx(9);
		
	}
	else
	{
		// WDT溢出復位初始化
		GCC_CLRWDT();

	}

	//主循環
	while(1)
	{
		GCC_CLRWDT();
//		 Drv_UART0WriteTxBuf("this is uart tx string demo\n", 0, 29);
//		 Drv_Uart0StartTx(29);
//		// UART RX
		if (DrvUart0Format.flag.b.IsRxSuccess)
		{
			DrvUart0Format.flag.b.IsRxSuccess = 0;
			/* user code */
		}
//		if (DrvUart1Format.flag.b.IsRxSuccess)
//		{
//			DrvUart1Format.flag.b.IsRxSuccess = 0;
//			/* user code */
//		}

	}
}